AI Agents
Update an AI Agent
Updates an AI Agent in a Project. Allows modifying AI Agent persona, instructions, speaking style, voice, and safety settings. Returns no content on success
PATCH
/
v2.0
/
aiagents
/
{aiAgentId}
Update an AI Agent
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Cognigy AI Agent",
"image": "https://cognigy.com/ai-agent.png",
"imageOptimizedFormat": true,
"knowledgeReferenceId": "c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
"description": "I am a virtual assistant that can help you with your questions.",
"speakingStyle": {
"completeness": "concise",
"formality": "formal"
},
"voiceConfigs": {
"ttsVoice": "Xb7hH8MSUJpSbSDYk0k2",
"ttsLanguage": "zh",
"ttsVendor": "Elevenlabs",
"ttsModel": "eleven_multilingual_v2",
"ttsLabel": "microsoft US",
"ttsDisableCache": false
},
"enableVoiceConfigs": false,
"enableAutoLanguageDetection": true,
"safetySettings": {
"avoidHarmfulContent": true,
"avoidUngroundedContent": true,
"avoidCopyrightInfringements": true,
"preventJailbreakAndManipulation": true
},
"contactProfilesOption": "selectedProfileFields",
"contactProfilesSelected": [
"name",
"email"
],
"instructions": "I can help you with your questions, provide information and much more."
}
'import requests
url = "https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}"
payload = {
"name": "Cognigy AI Agent",
"image": "https://cognigy.com/ai-agent.png",
"imageOptimizedFormat": True,
"knowledgeReferenceId": "c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
"description": "I am a virtual assistant that can help you with your questions.",
"speakingStyle": {
"completeness": "concise",
"formality": "formal"
},
"voiceConfigs": {
"ttsVoice": "Xb7hH8MSUJpSbSDYk0k2",
"ttsLanguage": "zh",
"ttsVendor": "Elevenlabs",
"ttsModel": "eleven_multilingual_v2",
"ttsLabel": "microsoft US",
"ttsDisableCache": False
},
"enableVoiceConfigs": False,
"enableAutoLanguageDetection": True,
"safetySettings": {
"avoidHarmfulContent": True,
"avoidUngroundedContent": True,
"avoidCopyrightInfringements": True,
"preventJailbreakAndManipulation": True
},
"contactProfilesOption": "selectedProfileFields",
"contactProfilesSelected": ["name", "email"],
"instructions": "I can help you with your questions, provide information and much more."
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Cognigy AI Agent',
image: 'https://cognigy.com/ai-agent.png',
imageOptimizedFormat: true,
knowledgeReferenceId: 'c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b',
description: 'I am a virtual assistant that can help you with your questions.',
speakingStyle: {completeness: 'concise', formality: 'formal'},
voiceConfigs: {
ttsVoice: 'Xb7hH8MSUJpSbSDYk0k2',
ttsLanguage: 'zh',
ttsVendor: 'Elevenlabs',
ttsModel: 'eleven_multilingual_v2',
ttsLabel: 'microsoft US',
ttsDisableCache: false
},
enableVoiceConfigs: false,
enableAutoLanguageDetection: true,
safetySettings: {
avoidHarmfulContent: true,
avoidUngroundedContent: true,
avoidCopyrightInfringements: true,
preventJailbreakAndManipulation: true
},
contactProfilesOption: 'selectedProfileFields',
contactProfilesSelected: ['name', 'email'],
instructions: 'I can help you with your questions, provide information and much more.'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Cognigy AI Agent',
'image' => 'https://cognigy.com/ai-agent.png',
'imageOptimizedFormat' => true,
'knowledgeReferenceId' => 'c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b',
'description' => 'I am a virtual assistant that can help you with your questions.',
'speakingStyle' => [
'completeness' => 'concise',
'formality' => 'formal'
],
'voiceConfigs' => [
'ttsVoice' => 'Xb7hH8MSUJpSbSDYk0k2',
'ttsLanguage' => 'zh',
'ttsVendor' => 'Elevenlabs',
'ttsModel' => 'eleven_multilingual_v2',
'ttsLabel' => 'microsoft US',
'ttsDisableCache' => false
],
'enableVoiceConfigs' => false,
'enableAutoLanguageDetection' => true,
'safetySettings' => [
'avoidHarmfulContent' => true,
'avoidUngroundedContent' => true,
'avoidCopyrightInfringements' => true,
'preventJailbreakAndManipulation' => true
],
'contactProfilesOption' => 'selectedProfileFields',
'contactProfilesSelected' => [
'name',
'email'
],
'instructions' => 'I can help you with your questions, provide information and much more.'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}"
payload := strings.NewReader("{\n \"name\": \"Cognigy AI Agent\",\n \"image\": \"https://cognigy.com/ai-agent.png\",\n \"imageOptimizedFormat\": true,\n \"knowledgeReferenceId\": \"c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b\",\n \"description\": \"I am a virtual assistant that can help you with your questions.\",\n \"speakingStyle\": {\n \"completeness\": \"concise\",\n \"formality\": \"formal\"\n },\n \"voiceConfigs\": {\n \"ttsVoice\": \"Xb7hH8MSUJpSbSDYk0k2\",\n \"ttsLanguage\": \"zh\",\n \"ttsVendor\": \"Elevenlabs\",\n \"ttsModel\": \"eleven_multilingual_v2\",\n \"ttsLabel\": \"microsoft US\",\n \"ttsDisableCache\": false\n },\n \"enableVoiceConfigs\": false,\n \"enableAutoLanguageDetection\": true,\n \"safetySettings\": {\n \"avoidHarmfulContent\": true,\n \"avoidUngroundedContent\": true,\n \"avoidCopyrightInfringements\": true,\n \"preventJailbreakAndManipulation\": true\n },\n \"contactProfilesOption\": \"selectedProfileFields\",\n \"contactProfilesSelected\": [\n \"name\",\n \"email\"\n ],\n \"instructions\": \"I can help you with your questions, provide information and much more.\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Cognigy AI Agent\",\n \"image\": \"https://cognigy.com/ai-agent.png\",\n \"imageOptimizedFormat\": true,\n \"knowledgeReferenceId\": \"c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b\",\n \"description\": \"I am a virtual assistant that can help you with your questions.\",\n \"speakingStyle\": {\n \"completeness\": \"concise\",\n \"formality\": \"formal\"\n },\n \"voiceConfigs\": {\n \"ttsVoice\": \"Xb7hH8MSUJpSbSDYk0k2\",\n \"ttsLanguage\": \"zh\",\n \"ttsVendor\": \"Elevenlabs\",\n \"ttsModel\": \"eleven_multilingual_v2\",\n \"ttsLabel\": \"microsoft US\",\n \"ttsDisableCache\": false\n },\n \"enableVoiceConfigs\": false,\n \"enableAutoLanguageDetection\": true,\n \"safetySettings\": {\n \"avoidHarmfulContent\": true,\n \"avoidUngroundedContent\": true,\n \"avoidCopyrightInfringements\": true,\n \"preventJailbreakAndManipulation\": true\n },\n \"contactProfilesOption\": \"selectedProfileFields\",\n \"contactProfilesSelected\": [\n \"name\",\n \"email\"\n ],\n \"instructions\": \"I can help you with your questions, provide information and much more.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Cognigy AI Agent\",\n \"image\": \"https://cognigy.com/ai-agent.png\",\n \"imageOptimizedFormat\": true,\n \"knowledgeReferenceId\": \"c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b\",\n \"description\": \"I am a virtual assistant that can help you with your questions.\",\n \"speakingStyle\": {\n \"completeness\": \"concise\",\n \"formality\": \"formal\"\n },\n \"voiceConfigs\": {\n \"ttsVoice\": \"Xb7hH8MSUJpSbSDYk0k2\",\n \"ttsLanguage\": \"zh\",\n \"ttsVendor\": \"Elevenlabs\",\n \"ttsModel\": \"eleven_multilingual_v2\",\n \"ttsLabel\": \"microsoft US\",\n \"ttsDisableCache\": false\n },\n \"enableVoiceConfigs\": false,\n \"enableAutoLanguageDetection\": true,\n \"safetySettings\": {\n \"avoidHarmfulContent\": true,\n \"avoidUngroundedContent\": true,\n \"avoidCopyrightInfringements\": true,\n \"preventJailbreakAndManipulation\": true\n },\n \"contactProfilesOption\": \"selectedProfileFields\",\n \"contactProfilesSelected\": [\n \"name\",\n \"email\"\n ],\n \"instructions\": \"I can help you with your questions, provide information and much more.\"\n}"
response = http.request(request)
puts response.read_body{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
APIKeyHeaderAPIKeyQueryParamCXoneTokenHeader
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
Available options:
application/json, application/hal+json, application/xml, text/xml, text/csv Path Parameters
Body
application/json
Response
The AI Agent was successfully updated.
⌘I
Update an AI Agent
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Cognigy AI Agent",
"image": "https://cognigy.com/ai-agent.png",
"imageOptimizedFormat": true,
"knowledgeReferenceId": "c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
"description": "I am a virtual assistant that can help you with your questions.",
"speakingStyle": {
"completeness": "concise",
"formality": "formal"
},
"voiceConfigs": {
"ttsVoice": "Xb7hH8MSUJpSbSDYk0k2",
"ttsLanguage": "zh",
"ttsVendor": "Elevenlabs",
"ttsModel": "eleven_multilingual_v2",
"ttsLabel": "microsoft US",
"ttsDisableCache": false
},
"enableVoiceConfigs": false,
"enableAutoLanguageDetection": true,
"safetySettings": {
"avoidHarmfulContent": true,
"avoidUngroundedContent": true,
"avoidCopyrightInfringements": true,
"preventJailbreakAndManipulation": true
},
"contactProfilesOption": "selectedProfileFields",
"contactProfilesSelected": [
"name",
"email"
],
"instructions": "I can help you with your questions, provide information and much more."
}
'import requests
url = "https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}"
payload = {
"name": "Cognigy AI Agent",
"image": "https://cognigy.com/ai-agent.png",
"imageOptimizedFormat": True,
"knowledgeReferenceId": "c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
"description": "I am a virtual assistant that can help you with your questions.",
"speakingStyle": {
"completeness": "concise",
"formality": "formal"
},
"voiceConfigs": {
"ttsVoice": "Xb7hH8MSUJpSbSDYk0k2",
"ttsLanguage": "zh",
"ttsVendor": "Elevenlabs",
"ttsModel": "eleven_multilingual_v2",
"ttsLabel": "microsoft US",
"ttsDisableCache": False
},
"enableVoiceConfigs": False,
"enableAutoLanguageDetection": True,
"safetySettings": {
"avoidHarmfulContent": True,
"avoidUngroundedContent": True,
"avoidCopyrightInfringements": True,
"preventJailbreakAndManipulation": True
},
"contactProfilesOption": "selectedProfileFields",
"contactProfilesSelected": ["name", "email"],
"instructions": "I can help you with your questions, provide information and much more."
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Cognigy AI Agent',
image: 'https://cognigy.com/ai-agent.png',
imageOptimizedFormat: true,
knowledgeReferenceId: 'c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b',
description: 'I am a virtual assistant that can help you with your questions.',
speakingStyle: {completeness: 'concise', formality: 'formal'},
voiceConfigs: {
ttsVoice: 'Xb7hH8MSUJpSbSDYk0k2',
ttsLanguage: 'zh',
ttsVendor: 'Elevenlabs',
ttsModel: 'eleven_multilingual_v2',
ttsLabel: 'microsoft US',
ttsDisableCache: false
},
enableVoiceConfigs: false,
enableAutoLanguageDetection: true,
safetySettings: {
avoidHarmfulContent: true,
avoidUngroundedContent: true,
avoidCopyrightInfringements: true,
preventJailbreakAndManipulation: true
},
contactProfilesOption: 'selectedProfileFields',
contactProfilesSelected: ['name', 'email'],
instructions: 'I can help you with your questions, provide information and much more.'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Cognigy AI Agent',
'image' => 'https://cognigy.com/ai-agent.png',
'imageOptimizedFormat' => true,
'knowledgeReferenceId' => 'c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b',
'description' => 'I am a virtual assistant that can help you with your questions.',
'speakingStyle' => [
'completeness' => 'concise',
'formality' => 'formal'
],
'voiceConfigs' => [
'ttsVoice' => 'Xb7hH8MSUJpSbSDYk0k2',
'ttsLanguage' => 'zh',
'ttsVendor' => 'Elevenlabs',
'ttsModel' => 'eleven_multilingual_v2',
'ttsLabel' => 'microsoft US',
'ttsDisableCache' => false
],
'enableVoiceConfigs' => false,
'enableAutoLanguageDetection' => true,
'safetySettings' => [
'avoidHarmfulContent' => true,
'avoidUngroundedContent' => true,
'avoidCopyrightInfringements' => true,
'preventJailbreakAndManipulation' => true
],
'contactProfilesOption' => 'selectedProfileFields',
'contactProfilesSelected' => [
'name',
'email'
],
'instructions' => 'I can help you with your questions, provide information and much more.'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}"
payload := strings.NewReader("{\n \"name\": \"Cognigy AI Agent\",\n \"image\": \"https://cognigy.com/ai-agent.png\",\n \"imageOptimizedFormat\": true,\n \"knowledgeReferenceId\": \"c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b\",\n \"description\": \"I am a virtual assistant that can help you with your questions.\",\n \"speakingStyle\": {\n \"completeness\": \"concise\",\n \"formality\": \"formal\"\n },\n \"voiceConfigs\": {\n \"ttsVoice\": \"Xb7hH8MSUJpSbSDYk0k2\",\n \"ttsLanguage\": \"zh\",\n \"ttsVendor\": \"Elevenlabs\",\n \"ttsModel\": \"eleven_multilingual_v2\",\n \"ttsLabel\": \"microsoft US\",\n \"ttsDisableCache\": false\n },\n \"enableVoiceConfigs\": false,\n \"enableAutoLanguageDetection\": true,\n \"safetySettings\": {\n \"avoidHarmfulContent\": true,\n \"avoidUngroundedContent\": true,\n \"avoidCopyrightInfringements\": true,\n \"preventJailbreakAndManipulation\": true\n },\n \"contactProfilesOption\": \"selectedProfileFields\",\n \"contactProfilesSelected\": [\n \"name\",\n \"email\"\n ],\n \"instructions\": \"I can help you with your questions, provide information and much more.\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Cognigy AI Agent\",\n \"image\": \"https://cognigy.com/ai-agent.png\",\n \"imageOptimizedFormat\": true,\n \"knowledgeReferenceId\": \"c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b\",\n \"description\": \"I am a virtual assistant that can help you with your questions.\",\n \"speakingStyle\": {\n \"completeness\": \"concise\",\n \"formality\": \"formal\"\n },\n \"voiceConfigs\": {\n \"ttsVoice\": \"Xb7hH8MSUJpSbSDYk0k2\",\n \"ttsLanguage\": \"zh\",\n \"ttsVendor\": \"Elevenlabs\",\n \"ttsModel\": \"eleven_multilingual_v2\",\n \"ttsLabel\": \"microsoft US\",\n \"ttsDisableCache\": false\n },\n \"enableVoiceConfigs\": false,\n \"enableAutoLanguageDetection\": true,\n \"safetySettings\": {\n \"avoidHarmfulContent\": true,\n \"avoidUngroundedContent\": true,\n \"avoidCopyrightInfringements\": true,\n \"preventJailbreakAndManipulation\": true\n },\n \"contactProfilesOption\": \"selectedProfileFields\",\n \"contactProfilesSelected\": [\n \"name\",\n \"email\"\n ],\n \"instructions\": \"I can help you with your questions, provide information and much more.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/aiagents/{aiAgentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Cognigy AI Agent\",\n \"image\": \"https://cognigy.com/ai-agent.png\",\n \"imageOptimizedFormat\": true,\n \"knowledgeReferenceId\": \"c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b\",\n \"description\": \"I am a virtual assistant that can help you with your questions.\",\n \"speakingStyle\": {\n \"completeness\": \"concise\",\n \"formality\": \"formal\"\n },\n \"voiceConfigs\": {\n \"ttsVoice\": \"Xb7hH8MSUJpSbSDYk0k2\",\n \"ttsLanguage\": \"zh\",\n \"ttsVendor\": \"Elevenlabs\",\n \"ttsModel\": \"eleven_multilingual_v2\",\n \"ttsLabel\": \"microsoft US\",\n \"ttsDisableCache\": false\n },\n \"enableVoiceConfigs\": false,\n \"enableAutoLanguageDetection\": true,\n \"safetySettings\": {\n \"avoidHarmfulContent\": true,\n \"avoidUngroundedContent\": true,\n \"avoidCopyrightInfringements\": true,\n \"preventJailbreakAndManipulation\": true\n },\n \"contactProfilesOption\": \"selectedProfileFields\",\n \"contactProfilesSelected\": [\n \"name\",\n \"email\"\n ],\n \"instructions\": \"I can help you with your questions, provide information and much more.\"\n}"
response = http.request(request)
puts response.read_body{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}